# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.shared_links_api import SharedLinksApi  # noqa: E501
from swagger_client.rest import ApiException


class TestSharedLinksApi(unittest.TestCase):
    """SharedLinksApi unit test stubs"""

    def setUp(self):
        self.api = swagger_client.api.shared_links_api.SharedLinksApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_create_shared_link(self):
        """Test case for create_shared_link

        Create a shared link to a file  # noqa: E501
        """
        pass

    def test_delete_shared_link(self):
        """Test case for delete_shared_link

        Deletes a shared link  # noqa: E501
        """
        pass

    def test_email_shared_link(self):
        """Test case for email_shared_link

        Email shared link  # noqa: E501
        """
        pass

    def test_get_shared_link(self):
        """Test case for get_shared_link

        Get a shared link  # noqa: E501
        """
        pass

    def test_get_shared_link_content(self):
        """Test case for get_shared_link_content

        Get shared link content  # noqa: E501
        """
        pass

    def test_get_shared_link_rendition(self):
        """Test case for get_shared_link_rendition

        Get shared link rendition information  # noqa: E501
        """
        pass

    def test_get_shared_link_rendition_content(self):
        """Test case for get_shared_link_rendition_content

        Get shared link rendition content  # noqa: E501
        """
        pass

    def test_list_shared_link_renditions(self):
        """Test case for list_shared_link_renditions

        List renditions for a shared link  # noqa: E501
        """
        pass

    def test_list_shared_links(self):
        """Test case for list_shared_links

        List shared links  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
